AI Sync

General

Update General Settings

PATCHhttps://app.rizzdial.com/api/ai/agent/v2/general/{agent_id}
Update General Settings
curl --request PATCH \
  --url https://app.rizzdial.com/api/ai/agent/v2/general/agent_123 \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "glocation_id": "value"
}'
{
  "data": {
    "agent_id": "agent_123"
  },
  "message": "Saved",
  "success": true
}

Update General Settings#

Update General Settings. Use the public agent id from List Agents. This path only accepts agents allowed by the company package.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

agent_idstringpathrequired

Public agent id from List Agents

glocation_idstringbody

may be null

curl --request PATCH \
 --url https://app.rizzdial.com/api/ai/agent/v2/general/agent_123 \
 --header 'Authorization: Bearer {{bearer_token}}' \
 --header 'Content-Type: application/json' \
 --data '{"glocation_id":"value"}'
successboolean

true when the call succeeds. Some list responses use status: success instead

dataobject

The saved record, or the list of records